Bug 225598 - evince searching works once or twice
evince searching works once or twice
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
20
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 11:38 EST by Tim Jowers
Modified: 2015-06-29 07:29 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 07:29:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Jowers 2007-01-31 11:38:28 EST
Description of problem:
Try to search within a PDF. Finds the first match but not all. Sometimes jumps
back and forth on a few matchs while ignoring all others.

Version-Release number of selected component (if applicable):
0.6.0

How reproducible:
All the time.

Steps to Reproduce:
1. evince GnuLinKernArch.pdf &
2. Ctrl-f then enter "struct page"
3. Patiently wait for the % counter to go to "5 found on this page"
4. Cycles through matches on the page and ignores others in pdf.
5. Edit->Select all
6. Edit->Find, enter "struct page"
7. OK, now finds them on many pages.
8. Loop through all mathces once with fine next button and then goes back to #4
set of matches and never loops to the others anymore.
9. Cannot tell if it is a bug, a feature, or EBKAC.
  
Actual results:
Some matches are never shown or are shown only the first time in looping through.

Expected results:
be able to keep searching through results

Additional info:
kghostview has no searching.
xpdf was not installed for some reason.Ok, yummed it and it is good.
Comment 1 Bug Zapper 2008-04-04 02:02:35 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 2 Bug Zapper 2008-05-06 15:08:29 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Marek Kašík 2014-11-19 08:26:05 EST
(In reply to Ales Ledvinka from comment #3)
> Search still ignoring "lun" matches.
> 
> http://www.intel.com/content/dam/www/public/us/en/documents/product-briefs/
> ipmi-second-gen-interface-spec-v2-rev1-1.pdf

Hi Aleš,

what do you mean by that the search ignores "lun" matches?

Marek
Comment 5 Ales Ledvinka 2014-11-19 09:55:25 EST
was searching either for LUN or for lun string in that document with terrible results compared to other app.
Comment 6 Marek Kašík 2014-11-19 10:07:37 EST
Does that mean that the search didn't find the LUN on a page on which it is actually present?
Which other app have you used?
Comment 7 Ales Ledvinka 2014-11-21 07:18:55 EST
1. yes
2. xpdf
Comment 8 Fedora End Of Life 2015-05-29 04:31:10 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2015-06-29 07:29:19 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.